### Method

# WPEWebKit WebExtension get_requested_permissions

since: 2.52

#### Declaration [src]

    const gchar* const*
    webkit_web_extension_get_requested_permissions (
      WebKitWebExtension* extension
    )

#### Description [src]

Get the set of permissions that the extension requires for its base functionality.

Available since: 2.52

Gets property | `WPEWebKit.WebExtension:requested-permissions`

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of strings containing permission names, or `NULL` otherwise. This array and its contents are owned by WebKit and should not be modified or freed.

The array is `NULL`-terminated.
The returned data is owned by the instance.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.